Package org.apache.ignite.internal.cache.query.index

## Class IndexQueryProcessor

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.IndexQueryProcessor

    public class IndexQueryProcessor
    extends Object

Processor of `IndexQuery`.

### Constructor Summary

Constructors
`IndexQueryProcessor​(IndexProcessor idxProc)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`<K,​V> IndexQueryResult<K,​V>` `queryLocal​(GridCacheContext<K,​V> cctx, IndexQueryDesc idxQryDesc, @Nullable IgniteBiPredicate<K,​V> filter, IndexingQueryFilter cacheFilter, boolean keepBinary, int taskHash)` Run query on local node.
`static String` `rangeDesc​(RangeIndexQueryCriterion c, String fldName, Object lower, Object upper)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexQueryProcessor

    public IndexQueryProcessor​(IndexProcessor idxProc)

### Method Detail

#### queryLocal

    public <K,​V> IndexQueryResult<K,​V> queryLocal​(GridCacheContext<K,​V> cctx,
                                                              IndexQueryDesc idxQryDesc,
                                                              @Nullable
                                                              @Nullable IgniteBiPredicate<K,​V> filter,
                                                              IndexingQueryFilter cacheFilter,
                                                              boolean keepBinary,
                                                              int taskHash)
                                                       throws IgniteCheckedException

Run query on local node.

Returns:
  Query result that contains data iterator and related metadata.
Throws:
  `IgniteCheckedException`

#### rangeDesc

    public static String rangeDesc​(RangeIndexQueryCriterion c,
                                   String fldName,
                                   Object lower,
                                   Object upper)

Returns:
  Modified description for criterion in case of error.